'use strict';

// ** Dependencies
const Process = require('../../lib/processes');
const logger = require('../../lib/logger');
const parseName = require('another-name-parser');

Process('say-hello-goodbye')
    .then('parse-name', parseName)
    .then('first-name', name => name.first)
    .onAny(logger) // Log all events
    .run('Mr. Brad Serbu, PHD')
    .then(first => console.log(`Hello, ${first}!`));